import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'

const JiMuTokenKey = 'JmReport-Access-Token';

const ExpiresInKey = 'Admin-Expires-In'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  window.localStorage.setItem(JiMuTokenKey, token);
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  window.localStorage.removeItem(JiMuTokenKey);
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
